List View Modify List View

List View Modify List View
Modify the list by giving a delta of entities to add and entities to remove.

Modify the list by giving a delta of entities to add and entities to remove.

May partially succeed if some objects could not be resolved. The operation will still succeed for all objects which could be resolved, and the list of those which failed is returned as the result.

Request
URI
POST
https://{vcenter-host}/sdk/vim25/{release}/ListView/{moId}/ModifyListView
COPY
Path Parameters
string
moId
Required

The unique identifier for the managed object to which the method attaches; the serialized managed object reference for a request has the form moType/moId, in this case ListView/{moId}.

string
release
Required

The vSphere release schema. The current specification covers vSphere 9.1.0.0 APIs.


Request Body
ModifyListViewRequestType of type(s) application/json
Optional
{
    "add": [
        {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    ],
    "remove": [
        {
            "_typeName": "string",
            "type": "string",
            "value": "string"
        }
    ]
}
array of object
add
Optional

Optional list of objects to add to the view.

Required privileges: System.View

array of object
remove
Optional

Optional list of objects to remove from the view.

Required privileges: System.View

Authentication
This operation uses the following authentication methods.
Responses
200

A list containing any objects in 'add' that could not be resolved.

[
    {
        "_typeName": "string",
        "type": "string",
        "value": "string"
    }
]
array of object
Optional

The ManagedObjectReference data object type is a special-purpose data object. Commonly referred to as simply a "reference", "MoRef", "MOR", or other variations of this theme, instances of managed object references contain data that identifies specific server-side managed objects. Managed object references are typically one of the return types from a method invocation.

Managed object references are client application references to server-side managed objects. The client application uses ManagedObjectReference objects when it invokes operations on a server. A ManagedObjectReference is guaranteed to be unique and persistent during an object's lifetime. The reference persists after an object has moved within the inventory, across sessions, and across server restarts. If you remove an object, for example, a virtual machine, from the inventory, and then put it back, the reference changes.


Code Samples
COPY
                    curl -X POST -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/sdk/vim25/{release}/ListView/{moId}/ModifyListView